// ViewReport.vue

<template>
    <div class="logo" style="height:150px"></div>
    <router-link to="/reports">Back</router-link>
    <h1>Reports | {{date}}</h1>
    <div>
      <table style="margin-left: auto; margin-right: auto">
        <thead>
          <tr>
            <th style="text-align: left; width: 10rem;">
              UPC
            </th>
            <th style="text-align: left; width: 20rem;">
              Name
            </th>
            <th style="text-align: left; width: 5rem;">
              Quantity
            </th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="item in items" :key="item[0]">
            <td style="text-align: left" v-if="item">{{item[0]}}</td>
            <td style="text-align: left" v-if="item">{{item[1]}}</td>
            <td style="text-align: left" v-if="item">{{item[2]}}</td>
          </tr>
        </tbody>
      </table>
      <div v-show="status === 'errored'">Could not load items.</div>
      <div v-show="status === 'loading'">Loading items. Please wait...</div>
      <div v-show="status === 'loaded' && items.length === 0">No items.</div>
    </div>
    <p>{{ data }}</p>

</template>

<script>
import axios from 'axios';
import { BACKEND_BASE_URL } from '../env.js';

export default {
  name: "ViewReport",
  props: ['data'],
  data(){
    return {
      items: [],
      date: '',
      status: 'loading', // loaded, errored
    }
  }, 
  created: function() {
      try {
        this.date = this.$route.params.date
        this.getReport();
      }
      catch (error) {
          console.error(error);
      }
  },
  methods: {
    async getReport() {
      try {
          let url = BACKEND_BASE_URL + "/reports/" + this.date;
          let response = await axios.get(url);
          console.log(response);
          this.items = response.data.data;
          this.status = 'loaded';
      } catch (error) {
          console.error(error);
          this.status = 'errored';
      }
    }
  }
}
</script>

<style>
th {
  border-bottom:1px solid black;
}

.logo {
  background-image: url("../public/wne-logo-2.png");
  background-repeat: no-repeat;
  background-size: 40%;
  background-position: center
}

@media screen and (min-width: 1800px) {
  .logo {
    background-size: 30%;
  }
}

</style>